'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initiateSearch = exports.setKeywordSearchVocabulary = exports.setKeywordSearchRecordType = exports.setKeywordSearchKeyword = exports.SET_KEYWORD_SEARCH_VOCABULARY = exports.SET_KEYWORD_SEARCH_RECORD_TYPE = exports.SET_KEYWORD_SEARCH_KEYWORD = undefined;

var _reducers = require('../reducers');

var SET_KEYWORD_SEARCH_KEYWORD = exports.SET_KEYWORD_SEARCH_KEYWORD = 'SET_KEYWORD_SEARCH_KEYWORD';
var SET_KEYWORD_SEARCH_RECORD_TYPE = exports.SET_KEYWORD_SEARCH_RECORD_TYPE = 'SET_KEYWORD_SEARCH_RECORD_TYPE';
var SET_KEYWORD_SEARCH_VOCABULARY = exports.SET_KEYWORD_SEARCH_VOCABULARY = 'SET_KEYWORD_SEARCH_VOCABULARY';

var setKeywordSearchKeyword = exports.setKeywordSearchKeyword = function setKeywordSearchKeyword(value) {
  return {
    type: SET_KEYWORD_SEARCH_KEYWORD,
    payload: value
  };
};

var setKeywordSearchRecordType = exports.setKeywordSearchRecordType = function setKeywordSearchRecordType(value) {
  return {
    type: SET_KEYWORD_SEARCH_RECORD_TYPE,
    payload: value
  };
};

var setKeywordSearchVocabulary = exports.setKeywordSearchVocabulary = function setKeywordSearchVocabulary(value) {
  return {
    type: SET_KEYWORD_SEARCH_VOCABULARY,
    payload: value
  };
};

var initiateSearch = exports.initiateSearch = function initiateSearch(push) {
  return function (dispatch, getState) {
    var kw = (0, _reducers.getKeywordSearchKeyword)(getState());
    var recordType = (0, _reducers.getKeywordSearchRecordType)(getState());
    var vocabulary = (0, _reducers.getKeywordSearchVocabulary)(getState());

    var vocabularyPath = vocabulary ? '/' + vocabulary : '';
    var pathname = '/search/' + recordType + vocabularyPath;

    push({
      pathname: pathname,
      query: {
        kw: kw
      }
    });
  };
};