'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.search = exports.SEARCH_REJECTED = exports.SEARCH_FULFILLED = exports.SEARCH_STARTED = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _cspace = require('./cspace');

var _cspace2 = _interopRequireDefault(_cspace);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SEARCH_STARTED = exports.SEARCH_STARTED = 'SEARCH_STARTED';
var SEARCH_FULFILLED = exports.SEARCH_FULFILLED = 'SEARCH_FULFILLED';
var SEARCH_REJECTED = exports.SEARCH_REJECTED = 'SEARCH_REJECTED';

var search = exports.search = function search(recordType, serviceConfig, searchParams) {
  return function (dispatch) {
    dispatch({
      type: SEARCH_STARTED,
      meta: {
        recordType: recordType,
        serviceConfig: serviceConfig,
        searchParams: searchParams
      }
    });

    var serviceName = serviceConfig.name;

    var config = {
      params: _extends({}, searchParams, {
        wf_deleted: false
      })
    };

    return (0, _cspace2.default)().read(serviceName, config).then(function (response) {
      return dispatch({
        type: SEARCH_FULFILLED,
        payload: response,
        meta: {
          recordType: recordType,
          serviceConfig: serviceConfig,
          searchParams: searchParams
        }
      });
    }).catch(function (error) {
      return dispatch({
        type: SEARCH_REJECTED,
        payload: error,
        meta: {
          recordType: recordType,
          serviceConfig: serviceConfig,
          searchParams: searchParams
        }
      });
    });
  };
};