'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = App;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _reactRedux = require('react-redux');

var _RecordTypesProvider = require('./record/RecordTypesProvider');

var _RecordTypesProvider2 = _interopRequireDefault(_RecordTypesProvider);

var _RouterContainer = require('../containers/RouterContainer');

var _RouterContainer2 = _interopRequireDefault(_RouterContainer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var propTypes = {
  store: _react.PropTypes.object.isRequired,
  history: _react.PropTypes.object.isRequired,
  className: _react.PropTypes.string,
  index: _react.PropTypes.string,
  locale: _react.PropTypes.string,
  messages: _react.PropTypes.object,
  recordTypes: _react.PropTypes.object
};

var defaultProps = {
  locale: 'en'
};

function App(props) {
  var className = props.className,
      history = props.history,
      index = props.index,
      locale = props.locale,
      messages = props.messages,
      recordTypes = props.recordTypes,
      store = props.store;


  return _react2.default.createElement(
    _reactIntl.IntlProvider,
    { locale: locale, messages: messages },
    _react2.default.createElement(
      _reactRedux.Provider,
      { store: store },
      _react2.default.createElement(
        _RecordTypesProvider2.default,
        { recordTypes: recordTypes },
        _react2.default.createElement(_RouterContainer2.default, {
          className: className,
          history: history,
          index: index
        })
      )
    )
  );
}

App.propTypes = propTypes;
App.defaultProps = defaultProps;