'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = KeywordSearch;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _cspaceInput = require('cspace-input');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var KeywordSearchInput = _cspaceInput.components.KeywordSearchInput;


var messages = (0, _reactIntl.defineMessages)({
  keywordSearchPlaceholder: {
    'id': 'keywordSearch.placeholder',
    'defaultMessage': 'Search...'
  }
});

var propTypes = {
  intl: _reactIntl.intlShape,
  recordTypes: _react.PropTypes.object
};

function KeywordSearch(props) {
  var intl = props.intl,
      recordTypes = props.recordTypes,
      remainingProps = _objectWithoutProperties(props, ['intl', 'recordTypes']);

  return _react2.default.createElement(
    'fieldset',
    null,
    _react2.default.createElement(KeywordSearchInput, _extends({}, remainingProps, {
      placeholder: intl.formatMessage(messages.keywordSearchPlaceholder),
      recordTypes: recordTypes
    }))
  );
}

KeywordSearch.propTypes = propTypes;