'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function () {
    return {
      recordTypes: {
        concept: {
          group: 'authority',
          serviceConfig: {
            name: 'conceptauthorities',
            quickAddData: function quickAddData(values) {
              return {
                document: {
                  '@name': 'concepts',
                  'ns2:concepts_common': {
                    '@xmlns:ns2': 'http://collectionspace.org/services/concept',
                    conceptTermGroupList: {
                      conceptTermGroup: {
                        termDisplayName: values.displayName
                      }
                    }
                  }
                }
              };
            }
          },
          messageDescriptors: (0, _reactIntl.defineMessages)({
            recordNameTitle: {
              'id': 'record.concept.nameTitle',
              'defaultMessage': 'Concept'
            }
          }),
          forms: {
            default: _react2.default.createElement('div', null)
          },
          title: function title() {
            return '';
          },
          vocabularies: {
            all: {
              group: 'all',
              isCreatable: false,
              messageDescriptors: (0, _reactIntl.defineMessages)({
                vocabNameTitle: {
                  'id': 'vocab.concept.all.nameTitle',
                  'defaultMessage': 'All vocabularies'
                }
              }),
              serviceConfig: {
                name: '_ALL_'
              }
            },
            associated: {
              messageDescriptors: (0, _reactIntl.defineMessages)({
                vocabNameTitle: {
                  'id': 'vocab.concept.associated.nameTitle',
                  'defaultMessage': 'Associated Concepts'
                }
              }),
              serviceConfig: {
                name: 'urn:cspace:name(concept)'
              }
            },
            activity: {
              messageDescriptors: (0, _reactIntl.defineMessages)({
                vocabNameTitle: {
                  'id': 'vocab.concept.activity.nameTitle',
                  'defaultMessage': 'Activity Concepts'
                }
              }),
              serviceConfig: {
                name: 'urn:cspace:name(activity)'
              }
            },
            material: {
              messageDescriptors: (0, _reactIntl.defineMessages)({
                vocabNameTitle: {
                  'id': 'vocab.concept.material.nameTitle',
                  'defaultMessage': 'Material Concepts'
                }
              }),
              serviceConfig: {
                name: 'urn:cspace:name(material_ca)'
              }
            }
          }
        }
      }
    };
  };
};