'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return function () {
    return {
      recordTypes: {
        place: {
          group: 'authority',
          serviceConfig: {
            name: 'placeauthorities',
            quickAddData: function quickAddData(values) {
              return {
                document: {
                  '@name': 'places',
                  'ns2:places_common': {
                    '@xmlns:ns2': 'http://collectionspace.org/services/place',
                    placeTermGroupList: {
                      placeTermGroup: {
                        termDisplayName: values.displayName
                      }
                    }
                  }
                }
              };
            }
          },
          messageDescriptors: (0, _reactIntl.defineMessages)({
            recordNameTitle: {
              'id': 'record.place.nameTitle',
              'defaultMessage': 'Place'
            }
          }),
          forms: {
            default: _react2.default.createElement('div', null)
          },
          title: function title() {
            return '';
          },
          vocabularies: {
            all: {
              group: 'all',
              isCreatable: false,
              messageDescriptors: (0, _reactIntl.defineMessages)({
                vocabNameTitle: {
                  'id': 'vocab.place.all.nameTitle',
                  'defaultMessage': 'All vocabularies'
                }
              }),
              serviceConfig: {
                name: '_ALL_'
              }
            },
            local: {
              messageDescriptors: (0, _reactIntl.defineMessages)({
                vocabNameTitle: {
                  'id': 'vocab.place.local.nameTitle',
                  'defaultMessage': 'Local Places'
                }
              }),
              serviceConfig: {
                name: 'urn:cspace:name(place)'
              }
            },
            tgn: {
              messageDescriptors: (0, _reactIntl.defineMessages)({
                vocabNameTitle: {
                  'id': 'vocab.place.tgn.nameTitle',
                  'defaultMessage': 'Thesaurus of Geographic Names'
                }
              }),
              serviceConfig: {
                name: 'urn:cspace:name(tgn_place)'
              }
            }
          }
        }
      }
    };
  };
};